package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class UpdateTeacherRequest extends BaseRequest{

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "name", value = "姓名", required = false)
    private String    name;
	
	@ApiModelProperty(name = "photo", value = "头像", required = false)
    private String    photo;
	
	@ApiModelProperty(name = "birthday", value = "生日", required = false)
    private String    birthday;
	
	@ApiModelProperty(name = "sex", value = "性别(1:男,2:女 ,0:未知)", required = false)
    private int    sex;
	
	@ApiModelProperty(name = "mobile", value = "手机", required = false)
    private String    mobile;
	
	@ApiModelProperty(name = "courseName", value = "主教科目(语文,数学,英语)", required = false)
    private String    courseName;
	
	@ApiModelProperty(name = "grade", value = "教学年级", required = false)
    private String    grade;
	
	@ApiModelProperty(name = "schoolAge", value = "教龄", required = false)
	private Integer schoolAge; //教龄
	
	@ApiModelProperty(name = "personalLabel", value = "个人标签", required = false)
	List<String> personalLabel = new ArrayList<String>();
	@ApiModelProperty(name = "personalInfo", value = "个人简介", required = false)
    private String personalInfo; //个人简介
	@ApiModelProperty(name = "teachPoint", value = "教学特点", required = false)
	private String teachPoint;//教学特点
	@ApiModelProperty(name = "successfulCase", value = "成功案例", required = false)
	private String successfulCase;//成功案例

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public int getSex() {
		return sex;
	}

	public void setSex(int sex) {
		this.sex = sex;
	}
	
	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public Integer getSchoolAge() {
		return schoolAge;
	}

	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}

	public List<String> getPersonalLabel() {
		return personalLabel;
	}

	public void setPersonalLabel(List<String> personalLabel) {
		this.personalLabel = personalLabel;
	}

	public String getPersonalInfo() {
		return personalInfo;
	}

	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}

	public String getTeachPoint() {
		return teachPoint;
	}

	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}

	public String getSuccessfulCase() {
		return successfulCase;
	}

	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}
	
	
}
